<?xml version="1.0" encoding="UTF-8"?>
<apis>

    <api>
        <methodName>订单-订单列表</methodName>
        <sort>1</sort>
        <businessMethod>PrintOrder_List</businessMethod>
        <tokenFrom/>
        <pageFrom>1</pageFrom>
        <paramOnly/>
        <params>
        </params>
        <webApiBean/>
    </api>

    <!--    <api>-->
    <!--        <methodName>订单-订单待编辑列表</methodName>-->
    <!--        <sort>207</sort>-->
    <!--        <businessMethod>PrintOrder_EditList</businessMethod>-->
    <!--        <tokenFrom/>-->
    <!--        <pageFrom>1</pageFrom>-->
    <!--        <paramOnly/>-->
    <!--        <params>-->
    <!--        </params>-->
    <!--        <webApiBean/>-->
    <!--    </api>-->

    <api>
        <methodName>订单-新建保存</methodName>
        <sort>2</sort>
        <businessMethod>PrintOrder_Create</businessMethod>
        <tokenFrom>/order/orderFormToken</tokenFrom>
        <pageFrom/>
        <paramOnly>com.sdtool.common.entity.order.PrintOrder</paramOnly>
        <params>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>订单-获取详细信息（订单编辑使用）</methodName>
        <sort>3</sort>
        <businessMethod>PrintOrder_Get</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>订单-编辑保存</methodName>
        <sort>4</sort>
        <businessMethod>PrintOrder_Edit</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly>com.sdtool.common.entity.order.PrintOrder</paramOnly>
        <params>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>订单-提交订单</methodName>
        <sort>5</sort>
        <businessMethod>PrintOrder_Commit</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
            <param>
                <!-- 参数说明 -->
                <paramComment>版本号(从列表上获取)</paramComment>
                <!-- 参数名称 -->
                <paramKey>versionCode</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
            <param>
                <!-- 参数说明 -->
                <paramComment>文件处理</paramComment>
                <!-- 参数名称 -->
                <paramKey>needImageProcess</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Integer</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>订单-退回（退到待编辑）</methodName>
        <sort>6</sort>
        <businessMethod>PrintOrder_Back</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
            <param>
                <!-- 参数说明 -->
                <paramComment>版本号(从列表上获取)</paramComment>
                <!-- 参数名称 -->
                <paramKey>versionCode</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
            <param>
                <!-- 参数说明 -->
                <paramComment>退回说明</paramComment>
                <!-- 参数名称 -->
                <paramKey>returnMemo</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>
        </params>
        <!--        <webApiBean>com.sdtool.common.entity.order.PrintOrder</webApiBean>-->
        <webApiBean/>
    </api>

    <api>
        <methodName>订单-作废</methodName>
        <sort>7</sort>
        <businessMethod>PrintOrder_Void</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
            <param>
                <!-- 参数说明 -->
                <paramComment>版本号(从列表上获取)</paramComment>
                <!-- 参数名称 -->
                <paramKey>versionCode</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
            <param>
                <!-- 参数说明 -->
                <paramComment>作废说明</paramComment>
                <!-- 参数名称 -->
                <paramKey>returnMemo</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>订单-获取订单脚印</methodName>
        <sort>8</sort>
        <businessMethod>OrderStep_List</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>订单详情-订单</methodName>
        <sort>9</sort>
        <businessMethod>OrderDetail_Order</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>订单详情-订单部件</methodName>
        <sort>10</sort>
        <businessMethod>OrderDetail_Part</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>订单详情-发货信息</methodName>
        <sort>11</sort>
        <businessMethod>OrderDetail_DeliverInform</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>订单详情-生产信息</methodName>
        <sort>12</sort>
        <businessMethod>OrderDetail_ProduceInfo</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>订单详情-入库信息</methodName>
        <sort>13</sort>
        <businessMethod>OrderDetail_StockItem</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

<!--    <api>-->
<!--        <methodName>订单详情-外协信息</methodName>-->
<!--        <sort>14</sort>-->
<!--        <businessMethod>OrderDetail_OutAssist</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>订单id</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>id</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Long</paramKind>-->
<!--            </param>-->
<!--        </params>-->
<!--        <webApiBean/>-->
<!--    </api>-->

    <api>
        <methodName>订单消息-增加消息</methodName>
        <sort>20</sort>
        <businessMethod>BillMessage_Add</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
            <param>
                <!-- 参数说明 -->
                <paramComment>消息内容</paramComment>
                <!-- 参数名称 -->
                <paramKey>sMessage</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>订单消息-获取消息列表</methodName>
        <sort>21</sort>
        <businessMethod>BillMessage_Query</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

<!--    <api>-->
<!--        <methodName>强制修改-交货日期</methodName>-->
<!--        <sort>218</sort>-->
<!--        <businessMethod>EditOrder_DeliverDate</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>订单id</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>id</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Long</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>交货日期</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>deliverDate</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>String</paramKind>-->
<!--            </param>-->
<!--        </params>-->
<!--        <webApiBean/>-->
<!--    </api>-->

<!--    <api>-->
<!--        <methodName>强制修改-修改订单信息</methodName>-->
<!--        <sort>219</sort>-->
<!--        <businessMethod>EditOrder_Order</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>订单id</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>id</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Long</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>印品名称</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>orderName</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>String</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>款数</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>kindCount</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Integer</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>印刷要求</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>printRequire</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>String</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>成品裁切</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>cutKind</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Integer</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>生产备注</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>orderMemo</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>String</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>包装要求</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>boxRequire</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>String</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>打包要求</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>packRequire</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>String</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>打包方式</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>packKind</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Integer</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>付款方式</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>payKind</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>String</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>用纸要求</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>paperRequireFlag</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Integer</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>是否拍照</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>traceFlag</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Integer</paramKind>-->
<!--            </param>-->
<!--        </params>-->
<!--        <webApiBean/>-->
<!--    </api>-->

<!--    <api>-->
<!--        <methodName>强制修改-修改订单发货备注</methodName>-->
<!--        <sort>220</sort>-->
<!--        <businessMethod>EditOrder_Order</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>订单id</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>id</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Long</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>发货备注</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>sendMemo</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>String</paramKind>-->
<!--            </param>-->
<!--        </params>-->
<!--        <webApiBean/>-->
<!--    </api>-->

    <api>
        <methodName>强制修改-修改订单金额</methodName>
        <sort>30</sort>
        <businessMethod>EditOrder_OrderMoney</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
            <param>
                <!-- 参数说明 -->
                <paramComment>订单金额</paramComment>
                <!-- 参数名称 -->
                <paramKey>orderMoneyTotal</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Double</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

<!--    <api>-->
<!--        <methodName>强制修改-修改订单部件信息 示例：params：[{},{}]</methodName>-->
<!--        <sort>222</sort>-->
<!--        <businessMethod>EditOrder_Part</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly>com.sdtool.common.entity.order.OrderPart</paramOnly>-->
<!--        <params/>-->
<!--        <webApiBean>com.sdtool.common.entity.order.OrderPart</webApiBean>-->
<!--    </api>-->

<!--    <api>-->
<!--        <methodName>强制修改-修改订单部件工序 示例：params：[{},{}]</methodName>-->
<!--        <sort>223</sort>-->
<!--        <businessMethod>EditOrder_Process</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly>com.sdtool.common.entity.order.OrderPart</paramOnly>-->
<!--        <params/>-->
<!--        <webApiBean>com.sdtool.common.entity.order.OrderPart</webApiBean>-->
<!--    </api>-->

<!--    <api>-->
<!--        <methodName>强制完成-订单强制完成</methodName>-->
<!--        <sort>224</sort>-->
<!--        <businessMethod>ForceOrder_AllFinish</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>订单id</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>id</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Long</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                &lt;!&ndash; 参数说明 &ndash;&gt;-->
<!--                <paramComment>版本号(从列表上获取)</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>versionCode</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Long</paramKind>-->
<!--            </param>-->
<!--        </params>-->
<!--        &lt;!&ndash;        <webApiBean>com.sdtool.common.entity.order.PrintOrder</webApiBean>&ndash;&gt;-->
<!--        <webApiBean/>-->
<!--    </api>-->

    <api>
        <methodName>发货通知-获取订单发货通知</methodName>
        <sort>100</sort>
        <businessMethod>OrderDeliverInform_List</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>发货通知-增加 示例：params：[{},{}]</methodName>
        <sort>101</sort>
        <businessMethod>OrderDeliverInform_Add</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly>com.sdtool.common.entity.order.OrderDeliverInform</paramOnly>
        <params/>
        <webApiBean>com.sdtool.common.entity.order.OrderDeliverInform</webApiBean>
    </api>

    <api>
        <methodName>发货通知-删除</methodName>
        <sort>102</sort>
        <businessMethod>OrderDeliverInform_Delete</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <paramComment>发货通知id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
            <param>
                <!-- 参数说明 -->
                <paramComment>版本号(从列表上获取)</paramComment>
                <!-- 参数名称 -->
                <paramKey>versionCode</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>发货通知-修改</methodName>
        <sort>103</sort>
        <businessMethod>OrderDeliverInform_Edit</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <paramComment>发货通知</paramComment>
                <!-- 参数名称 -->
                <paramKey>deliverInform</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>com.sdtool.common.entity.order.OrderDeliverInform</paramKind>
            </param>
        </params>
        <webApiBean>com.sdtool.common.entity.order.OrderDeliverInform</webApiBean>
    </api>

    <api>
        <methodName>订单-分配外协厂</methodName>
        <sort>104</sort>
        <businessMethod>Order_DispatchOutAssist</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>idOrder</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>

            <param>
                <paramComment>外协档案id</paramComment>
                <!-- 参数名称 -->
                <paramKey>idOutAssist</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>

            <param>
                <paramComment>外协档案名称</paramComment>
                <!-- 参数名称 -->
                <paramKey>outAssistName</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>

            <param>
                <!-- 参数说明 -->
                <paramComment>外协费用</paramComment>
                <!-- 参数名称 -->
                <paramKey>orderMoneyOAs</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Double</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>生命周期-获取订单生命周期</methodName>
        <sort>110</sort>
        <businessMethod>OrderLifeCycle_ListByOrder</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <paramComment>订单id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>

    <api>
        <methodName>生命周期-写入生命周期</methodName>
        <sort>111</sort>
        <businessMethod>OrderLifeCycle_Write</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly>com.sdtool.common.entity.order.OrderLifeCycle</paramOnly>
        <params/>
        <webApiBean/>
    </api>

<!--    <api>-->
<!--        <methodName>订单列表-查询待外协订单</methodName>-->
<!--        <sort>231</sort>-->
<!--        <businessMethod>OrderList_WaitOutSource</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom>1</pageFrom>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--        </params>-->
<!--        <webApiBean/>-->
<!--    </api>-->
    <!--232-240没有数据未测试-->
<!--    <api>-->
<!--        <methodName>订单应收-查询应收列表</methodName>-->
<!--        <sort>232</sort>-->
<!--        <businessMethod>OrderReceivable_List</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom>1</pageFrom>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--        </params>-->
<!--        <webApiBean/>-->
<!--    </api>-->

<!--    <api>-->
<!--        <methodName>订单应收-添加收款说明</methodName>-->
<!--        <sort>233</sort>-->
<!--        <businessMethod>OrderReceivable_EditMemo</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--            <param>-->
<!--                <paramComment>应收id</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>id</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Long</paramKind>-->
<!--            </param>-->
<!--            <param>-->
<!--                <paramComment>应收备注</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>receivableMemo</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>String</paramKind>-->
<!--            </param>-->
<!--        </params>-->
<!--        <webApiBean/>-->
<!--    </api>-->

<!--    <api>-->
<!--        <methodName>订单应收-订单批量收款 示例：params：[{},{}]</methodName>-->
<!--        <sort>234</sort>-->
<!--        <businessMethod>OrderReceivable_Collection</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--        </params>-->
<!--        <webApiBean>com.sdtool.common.entity.order.OrderReceivable</webApiBean>-->
<!--    </api>-->

<!--    <api>-->
<!--        <methodName>订单应收-获取物流代收列表</methodName>-->
<!--        <sort>235</sort>-->
<!--        <businessMethod>OrderReceivable_ListLogistics</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--        </params>-->
<!--        <webApiBean/>-->
<!--    </api>-->

<!--    <api>-->
<!--        <methodName>订单应收-物流代收核算</methodName>-->
<!--        <sort>236</sort>-->
<!--        <businessMethod>OrderReceivable_Checking</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--            <param>-->
<!--                <paramComment>物流id</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>idLogisticsInfo</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Long</paramKind>-->
<!--            </param>-->

<!--            <param>-->
<!--                <paramComment>物流名称</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>logisticsName</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>String</paramKind>-->
<!--            </param>-->
<!--        </params>-->
<!--        <webApiBean/>-->
<!--    </api>-->

<!--    <api>-->
<!--        <methodName>订单应收-物流代收批量收款 示例：params：[{},{}]</methodName>-->
<!--        <sort>237</sort>-->
<!--        <businessMethod>OrderReceivable_CollectionL</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--        </params>-->
<!--        <webApiBean>com.sdtool.common.entity.order.OrderReceivable</webApiBean>-->
<!--    </api>-->

<!--    <api>-->
<!--        <methodName>收款记录-收款记录列表</methodName>-->
<!--        <sort>238</sort>-->
<!--        <businessMethod>OrderChargeData_List</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom>1</pageFrom>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--        </params>-->
<!--        <webApiBean/>-->
<!--    </api>-->

<!--    <api>-->
<!--        <methodName>收款记录-冲销</methodName>-->
<!--        <sort>239</sort>-->
<!--        <businessMethod>OrderChargeData_WriteOff</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--            <param>-->
<!--                <paramComment>收款记录id，多个用逗号隔开</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>ids</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>String</paramKind>-->
<!--            </param>-->
<!--        </params>-->
<!--        <webApiBean/>-->
<!--    </api>-->

    <api>
        <methodName>订单入账流水列表</methodName>
        <sort>200</sort>
        <businessMethod>OrderTradeBill_List</businessMethod>
        <tokenFrom/>
        <pageFrom>1</pageFrom>
        <paramOnly/>
        <params>
        </params>
        <webApiBean/>
    </api>

<!--    <api>-->
<!--        <methodName>获取订单的应收记录</methodName>-->
<!--        <sort>241</sort>-->
<!--        <businessMethod>OrderReceivable_ListByOrder</businessMethod>-->
<!--        <tokenFrom/>-->
<!--        <pageFrom/>-->
<!--        <paramOnly/>-->
<!--        <params>-->
<!--            <param>-->
<!--                <paramComment>订单id</paramComment>-->
<!--                &lt;!&ndash; 参数名称 &ndash;&gt;-->
<!--                <paramKey>id</paramKey>-->
<!--                &lt;!&ndash; 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 &ndash;&gt;-->
<!--                <paramKind>Long</paramKind>-->
<!--            </param>-->
<!--        </params>-->
<!--        <webApiBean/>-->
<!--    </api>-->

    <api>
        <methodName>订单打印--订单列表打印</methodName>
        <sort>260</sort>
        <businessMethod>OrderPrint_MultiPrint</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <paramComment>订单id,多个用英文逗号隔开</paramComment>
                <!-- 参数名称 -->
                <paramKey>idOrders</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>
        </params>
        <webApiBean/>
    </api>


</apis>